* {
  --black: #222;
  --white: #fff;
  --dark-gray: #777;
  --light-gray: #ffe1eb;
  --venetian-red: #6d001d;
  --monza: #ce0048;

  box-sizing: border-box;
  scrollbar-color: var(--white) var(--venetian-red);
  scrollbar-width: thin;
}

html {
  background: url("/img/bg.jpg") no-repeat center center fixed;
  background-size: cover;
  font-size: 12px;
}

@media (width >= 768px) {
  html {
    font-size: 14px;
  }
}

@media (width >= 1024px) {
  html {
    font-size: 16px;
  }
}

body {
  color: var(--black);
  font-family: Poppins, sans-serif;
  font-style: normal;
  font-weight: 500;
  line-height: 1.6;
}

b {
  font-weight: 700;
}

i {
  font-weight: 300;
}

.site {
  max-width: 800px;
  padding: 0 2rem;
  border: 1rem solid var(--black);
  margin: 10rem auto;
  background: var(--white);
}

a {
  color: var(--monza);
}

h1,
h2,
h3,
h4,
h5,
h6 {
  margin: 1.5rem 0 1rem;
  color: var(--venetian-red);
  font-family: "Abril Fatface", cursive;
  font-style: normal;
  font-weight: 400;
  letter-spacing: 0.022rem;
  line-height: 1.15;
}

h1 {
  font-size: 2.986rem;
  text-align: right;
}

h1 a {
  text-decoration: none;
}

h2 {
  padding: 1rem;
  border-bottom: 0.5rem solid var(--black);
  margin: 0;
  background-color: var(--light-gray);
  background-image: radial-gradient(
      circle at 100% 150%,
      var(--light-gray) 24%,
      white 24%,
      white 28%,
      var(--light-gray) 28%,
      var(--light-gray) 36%,
      white 36%,
      white 40%,
      transparent 40%,
      transparent
    ),
    radial-gradient(
      circle at 0 150%,
      var(--light-gray) 24%,
      white 24%,
      white 28%,
      var(--light-gray) 28%,
      var(--light-gray) 36%,
      white 36%,
      white 40%,
      transparent 40%,
      transparent
    ),
    radial-gradient(
      circle at 50% 100%,
      white 10%,
      var(--light-gray) 10%,
      var(--light-gray) 23%,
      white 23%,
      white 30%,
      var(--light-gray) 30%,
      var(--light-gray) 43%,
      white 43%,
      white 50%,
      var(--light-gray) 50%,
      var(--light-gray) 63%,
      white 63%,
      white 71%,
      transparent 71%,
      transparent
    ),
    radial-gradient(
      circle at 100% 50%,
      white 5%,
      var(--light-gray) 5%,
      var(--light-gray) 15%,
      white 15%,
      white 20%,
      var(--light-gray) 20%,
      var(--light-gray) 29%,
      white 29%,
      white 34%,
      var(--light-gray) 34%,
      var(--light-gray) 44%,
      white 44%,
      white 49%,
      transparent 49%,
      transparent
    ),
    radial-gradient(
      circle at 0 50%,
      white 5%,
      var(--light-gray) 5%,
      var(--light-gray) 15%,
      white 15%,
      white 20%,
      var(--light-gray) 20%,
      var(--light-gray) 29%,
      white 29%,
      white 34%,
      var(--light-gray) 34%,
      var(--light-gray) 44%,
      white 44%,
      white 49%,
      transparent 49%,
      transparent
    );
  background-size: 100px 50px;
  font-size: 2.488rem;
  vertical-align: middle;
}

h3 {
  font-size: 2.074rem;
}

h4 {
  font-size: 1.728rem;
}

h5 {
  font-size: 1.44rem;
}

h6 {
  font-size: 1.2rem;
}

p {
  font-size: 1rem;
}

small,
pre code {
  font-size: 0.833rem;
}

pre {
  padding: 1rem;
  border: 0.5rem solid var(--black);
  background: var(--venetian-red);
  color: var(--white);
  overflow-x: auto;
  scrollbar-color: var(--white) var(--venetian-red);
  scrollbar-width: thin;
}

img {
  max-width: 100%;
  height: auto;
}

details {
  padding: 1rem;
  margin-top: 1rem;
}

summary {
  cursor: pointer;
}

summary h3 {
  display: inline-block;
  margin: 0;
  line-height: 0;
  vertical-align: middle;
}

.archive-table {
  width: 100%;
  margin-top: 1rem;
  border-collapse: collapse;
}

.archive-types {
  padding-left: 0;
  list-style: none;
}

.meta,
.posts li span {
  color: var(--dark-gray);
  font-size: 0.833rem;
}

.meta {
  margin-top: 0.833rem;
  text-align: right;
}

a:hover,
.posts li:hover a {
  color: var(--venetian-red);
}

.posts {
  padding-left: 0;
}

.posts li {
  display: grid;
  align-items: center;
  padding: 1rem 0;
  border-bottom: 1px solid var(--light-gray);
  grid-template-columns: 1fr 3fr;
  list-style: none;
}

.posts li:hover {
  background: var(--light-gray);
}

.posts li:last-child {
  border-bottom: none;
}

.post {
  margin-top: 2rem;
}

.footer {
  display: grid;
  align-items: center;
  padding-top: 1rem;
  border-top: 0.5rem solid var(--black);
  margin-top: 1.5rem;
  grid-template-columns: 1fr;
}

.footer .contact p {
  margin-top: 0;
}

@media (width >= 768px) {
  .footer {
    padding: 1rem 0;
    gap: 1rem;
    grid-template-columns: repeat(4, 1fr);
    text-align: center;
  }

  .footer .contact p {
    margin-top: initial;
  }
}

blockquote {
  padding-left: 1rem;
  border-left: 0.5rem solid var(--venetian-red);
  font-style: italic;
}

.rating-header {
  position: relative;
  z-index: 1;
}

.rating-header .meta {
  margin-left: 1rem;
}

.rating-header .meta,
.search-result .meta {
  text-align: left;
}

.rating-header .title {
  display: inline-block;
  max-width: 85%;
}

.rating {
  position: absolute;
  right: 0.5rem;
  bottom: -0.5rem;
  display: inline-block;
  padding: 1.75rem 1.5rem;
  border: 0.5rem solid var(--black);
  border-radius: 100%;
  background: white;
  color: black;
  font-family: Poppins, sans-serif;
  font-size: 1.728rem;
  font-weight: 700;
  line-height: 1;
}

@media (width >= 768px) {
  .rating {
    bottom: -1rem;
    font-size: 2.488rem;
  }
}

.header-search-form {
  display: flex;
  width: 100%;
}

.header-search-form .search-input {
  flex: 1;
  padding: 0.5rem;
  border: 0.25rem solid var(--black);
  border-right: none;
  font-size: 1rem;
}

.header-search-form .search-input:focus {
  border-color: var(--venetian-red);
  outline: none;
}

.header-search-form .search-button {
  padding: 0.5rem 1rem;
  border: 0.25rem solid var(--black);
  background: var(--light-gray);
  color: var(--venetian-red);
  cursor: pointer;
  font-size: 1rem;
}

.header-search-form .search-button:hover {
  background: var(--venetian-red);
  color: var(--white);
  transition: all 0.3s ease-in-out;
}

.search-results-count {
  text-align: right;
}

.search-results {
  padding-left: 0;
  list-style: none;
}

.search-result {
  border-bottom: 1px solid var(--light-gray);
}

.search-result:last-child {
  border-bottom: none;
}

.search-result-title {
  text-decoration: none;
}

.search-result-title h3 {
  margin-bottom: 0.25rem;
  color: var(--monza);
}

.search-result-title h3:hover {
  color: var(--venetian-red);
}

.pagination {
  display: flex;
  text-align: center;
}

.previous,
.page-number,
.next {
  flex: 1;
  padding: 0.5rem;
}

.tag {
  display: inline-block;
  padding: 0.25rem 0.5rem;
  border: 0.2rem solid var(--monza);
  margin: 0 0.5rem 0.25rem 0;
  background: var(--light-gray);
  color: var(--monza);
  font-size: 0.833rem;
  text-decoration: none;
}

.banner-bottom {
  display: block;
  text-align: right;
}

.tmdb-logo {
  max-width: 250px;
}

.banner {
  position: relative;
  z-index: 0;
  border: 0.5rem solid var(--black);
  margin: 2rem 1rem 1rem 0;
  float: left;
}

.banner img {
  max-height: 16rem;
}
